# Nutrition

### How can I get the nutritional facts information of a specific meal?

\
Use the  [`commonFoods` ](https://docs.suggestic.com/graphql/query/search/food-search-for-food-log/common-foods-search)query to get the individual foods nutritional fact information.

### How can I get the nutritional facts information of a logged meal?

After using the [`addFoodLog`](https://docs.suggestic.com/graphql/query/mutations/food-log/log-entries/add-a-food-log) mutation, in which you need to specify the mealTime, the number of servings, food quantity, use the [`myCommonFoods`](https://docs.suggestic.com/graphql/query/search/food-search-for-food-log/my-common-foods-search) or [`myBrandedFoods`](https://docs.suggestic.com/graphql/query/search/food-search-for-food-log/my-branded-food-search), depending on which one you use, to get the nutrient facts.&#x20;

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/knowledge-base/faqs/nutrition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
